% menu item: 3D-plot

load free.dat; % these data file can be produced be the Pascal program FREE
    
z3D=free(:,3);
n3D=sqrt(length(z3D));
ind=1:n3D:n3D*n3D;

x3D=free(ind,1);
y3D=free(1:n3D,2);
    
for i=1:n3D
  Z3D(i,:)=z3D(i-1+ind)';
end
    
figure(1); surf(x3D,y3D,Z3D); shading interp
figure(2); contour(x3D,y3D,Z3D);