% menu item: l2-approximation with LSSOL

while 2
  clc
  choice1=menu('l2-approximation with LSSOL',...
      'Unconstrained approximation','Unconstrained smoothing',...
      'Constrained approximation','Constrained smoothing','Quit');  
  
  if ((choice1<=0) | (choice1>=5))
    break
  end            
      
  if choice1==1                               % Unconstrained approximation
    ysave=y+0;
    [alpha,RES]=uncappls(m,n,k,t,x,y);
    y=ysave;
  elseif choice1==2                           % Unconstrained smoothing
    ysave=y+0;
    [alpha,RES]=uncsmols(m,n,k,t,x,y,r,mu);
    y=ysave;
  elseif choice1==3                           % Constrained approximation
    ysave=y+0;
    [alpha,RES]=conappls(m,n,k,t,x,y,p,L,U);  
    y=ysave;
  elseif choice1==4                           % Constrained smoothing
    ysave=y+0;
    [alpha,RES]=consmols(m,n,k,t,x,y,r,mu,p,L,U);  
    y=ysave;
  end % if choice1
  
  disp('Norm of residual vector: ');
  format long e
  disp(RES);
  format short  
  
end % while 2