clear
% read data values
% read ASCII-File with x and y in two columns
Filename=uigetfile('*.m','Enter File name:');
fid=fopen(Filename);
matrix=fscanf(fid,'%g %g',[2 inf]);
x=matrix(1,:)';
y=matrix(2,:)';
fclose(fid);
clear matrix
m=length(x);
        
k=5;
% read spline parameter, example 1
% read ASCII-File with t and alpha in two columns
Filename=uigetfile('*.m','Enter File name:');
fid=fopen(Filename);
matrix=fscanf(fid,'%g %g',[2 inf]);
t=matrix(1,:)';
alpha=matrix(2,1:length(t)-k)';
fclose(fid);
clear matrix        
        
n=length(t)-k;
knots1=t;
alpha1=alpha;

% read spline parameter, example 2
% read ASCII-File with t and alpha in two columns
Filename=uigetfile('*.m','Enter File name:');
fid=fopen(Filename);
matrix=fscanf(fid,'%g %g',[2 inf]);
t=matrix(1,:)';
alpha=matrix(2,1:length(t)-k)';
fclose(fid);
clear matrix        
        
knots2=t;
alpha2=alpha;

% compute spline representation from knots and coefficients
spl1=spmak(knots1',alpha1');
spl2=spmak(knots2',alpha2');

clf
% plot the data values
plot(x,y,'ro');
% and add the subsequent plot to this figure
hold on
% plot spline function
fnplt(spl1,'y-');
fnplt(spl2,'g--');
print -deps2 gcv1.eps
hold off

