function [x,y,Z]=bititan
% bivariate Titanium test data set
% 
% returns the data points of the Titanium Heat data which give a certain
% property of titanium as a function of temperature and which have been
% used extensively as test data for fitting by splines with variable knots.

[x,z]=titanium;
x=x(:);
y=x;
z=z(:);
Z=z*z';
