function [x,y,Z]=dierckx
% test data set by Dierckx for bivariate splines with free knots
%

x=zeros(30,1);
y=zeros(30,1);
Z=zeros(30,30);
err=randn(30,30);

for i=1:10,
  x(i)=0.04*(i-1);
end,
for i=11:15,
  x(i)=0.01*(i+27);
end,
for i=16:30,
  x(i)=0.04*(i-5);
end,
for j=1:5,
  y(j)=0.04*(j-1);
end,
for j=6:10,
  y(j)=0.01*(j+12);
end,
for j=11:30,
  y(j)=0.04*(j-5);
end,

for i=1:30,
  for j=1:30,
    Z(i,j)=1/(0.01+2*(x(i)-0.4)^2)+1/(0.02+2*(y(j)-0.2)^2)+err(i,j);
  end,
end,