% bivariate tensorproduct splines with free knots
% copyright November 1996 Torsten Schuetze
% copyright December 1998
% main program
path(path,'/home/schuetze/work/matlab/both');

clear all

% set global variables for npfun
global nofucall
global method 
global n1
global n2  
global k1 
global k2 
global t1
global t2
global x1
global x2
global Y 
global r1
global r2 
global mu1
global mu2 
global l1
global l2
global pvec1
global pvec2

while 1,
  clc
  choice=menu('Main Menu','Set Parameter',...
      'Load','Save','l2-Approximation','Free knots',...
      'Free knots with NPSOL','Free knots with NLSSOL',...
      'Plot Spline','Quit');
  
  if ((choice<=0) | (choice>=9))
    break
  end
  
  if choice==1                                    % Set Parameter

    menupara;
  
  elseif choice==2                                % Load
    
    menuload;

  elseif choice==3                                % Save
    
    menusave;
    
  elseif choice==4                                % l2-approximation
   
    menuap;
        
  elseif choice==5                                % free knots

    menufree;
    
  elseif choice==6                                % free knots with NPSOL

    menunp;
    
  elseif choice==7                                % free knots with NLSSOL

    menunls;
       
  elseif choice==8                                % Plot

    menuplot;
    
  end % if choice
  
end % while 1

close