% menu item: l2-approximation

while 2
  clc
  choice1=menu('l2-approximation',...
      'Unconstrained approximation','Unconstrained smoothing','Quit');  
  
  if ((choice1<=0) | (choice1>=3))
    break
  end            
      
  if choice1==1                               % Unconstrained approximation
    [A,RES]=uncapp(m1, m2, n1, n2, k1, k2, t1, t2, x1, x2, Y);
  elseif choice1==2                           % Unconstrained smoothing
    [A,RES]=uncsmo(m1, m2, n1, n2, k1, k2, t1, t2, x1, x2, Y, r1, r2, mu1, mu2);
  end % if choice1
  
  disp('Norm of residual vector: ');
  format long e
  disp(RES);
  format short  
  
end % while 2