% splines with free knots
% copyright July 1996 Torsten Schuetze
% copyright January 1999
% main program
path(path,'/home/schuetze/work/matlab/both');
path(path,'/home/schuetze/matlab/regutool');

clear all

% set global variables for npfun
global nofucall
global method 
global n  
global k  
global t
global x
global y 
global r
global mu
global p
global L
global U
global l
global pvec

mu=0.0;
  
while 1,
  clc
  choice=menu('Main Menu','Set Parameter','Load','Save',...
              'l2- Approximation','l2-Approximation with LSSOL',... 
              'Free knots','Free knots with NPSOL','Free knots with NLSSOL',...
              'Regularization parameter','Plot Spline','3D-Plot','Quit');
  
  if ((choice<=0) | (choice>=12))
    break
  end
  
  if choice==1                                    % Set Parameter

    menupara;
  
  elseif choice==2                                % Load
    
    menuload;

  elseif choice==3                                % Save
    
    menusave;
    
  elseif choice==4                                % l2-approximation
   
    menuap;
    
  elseif choice==5                                % l2-approximation with LSSOL
   
    menuapls;    
    
  elseif choice==6                                % free knots

    menufree;
    
  elseif choice==7                                % free knots with NPSOL

    menunp;
    
  elseif choice==8                                % free knots with NLSSOL

    menunls;
    
  elseif choice==9                                % Regularization parameter
    
    menuregu;
    
  elseif choice==10                                % Plot

    menuplot;
  
  elseif choice==11                               % 3D-Plot
   
    menu3d;
    
  end % if choice
  
end % while 1

close
