% menu item: l2-approximation

while 2
  clc
  choice1=menu('l2-approximation',...
      'Unconstrained approximation','Unconstrained smoothing',...
      'Constrained approximation','Constrained smoothing','Quit');  
  
  if ((choice1<=0) | (choice1>=5))
    break
  end            
      
  if choice1==1                               % Unconstrained approximation
    [alpha,RES]=uncapp(m,n,k,t,x,y);
  elseif choice1==2                           % Unconstrained smoothing
    [alpha,RES]=uncsmo(m,n,k,t,x,y,r,mu);
  elseif choice1==3                           % Constrained approximation
    [alpha,RES]=conapp(m,n,k,t,x,y,p,L,U);  
  elseif choice1==4                           % Constrained smoothing
    [alpha,RES]=consmo(m,n,k,t,x,y,r,mu,p,L,U);  
  end % if choice1
  
  disp('Norm of residual vector: ');
  format long e
  disp(RES);
  format short  
  
end % while 2