clear
clf
% read data values
eval('data');
m=length(x);
x=x(:)';
y=y(:)';

% read spline parameter
eval('knots3');
knots=knots(:)';
alpha=alpha(:)';
n=length(alpha);
k=length(knots)-n;

% compute spline representation from knots and coefficients
spl=spmak(knots,alpha);

% plot the data values
clf
plot(x,y,'ro');

% and add the subsequent plot to this figure
hold on

points=fnplt(spl,[x(1) x(m)]); % compute points of spline
plot(points(1,:),points(2,:)); % plot points of spline

miny0=min(points(2,:));
maxy0=max(points(2,:));

miny=min(min(y),miny0);
maxy=max(max(y),maxy0);

width=(max(x)-min(x))*0.05;
heigth=(maxy-miny)*0.05;
frame=[-width +width -heigth +heigth] + [min(x), max(x), miny,maxy];
axis(frame)

% plot the knots of the spline
minknot=miny-(maxy-miny)*0.03;
plot(knots,minknot*ones(length(knots)),'x');


%title('solid - spline function, o - data values, x - knots');
print -deps2 ti_plot3.eps


